Subject: Re: .profile and xterm
From: "S. L." <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 14 Mar 2003 09:24:52 +0100 (MET)

> Just starting to play with cygwin.  I edited my
> .profile to do some nice aliases, setting PATH and
> bashprompt...
> but I realize that as soon as I start a terminal using
> xterm (I am using exceed as my Xserver, but shouldn't
> matter) all the alias are gone (such as ls=ls
> --color=auto, which is handy...), and I need to
> deliberately source .profile again...any fix???
[...]

Two. Either use " -ls " option to your xterm, or use " -e bash --login ".

SLao

-- 
+++ GMX - Mail, Messaging & more  http://www.gmx.net +++
Bitte lächeln! Fotogalerie online mit GMX ohne eigene Homepage!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/